assert.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/control/expr_iif.hpp>`
`#include <msgpack/preprocessor/control/iif.hpp>`
`#include <msgpack/preprocessor/logical/not.hpp>`
`#include <msgpack/preprocessor/tuple/eat.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_ASSERT(cond) MSGPACK_PP_ASSERT_D(cond)
#define | MSGPACK_PP_ASSERT_D(cond) MSGPACK_PP_IIF(MSGPACK_PP_NOT(cond), MSGPACK_PP_ASSERT_ERROR, MSGPACK_PP_TUPLE_EAT_1)(...)
#define | MSGPACK_PP_ASSERT_ERROR(x, y, z)
#define | MSGPACK_PP_ASSERT_MSG(cond, msg) MSGPACK_PP_ASSERT_MSG_D(cond, msg)
#define | MSGPACK_PP_ASSERT_MSG_D(cond, msg) MSGPACK_PP_EXPR_IIF(MSGPACK_PP_NOT(cond), msg)

## Macro Definition Documentation

## MSGPACK_PP_ASSERT

#define MSGPACK_PP_ASSERT | ( |  | cond | ) | MSGPACK_PP_ASSERT_D(cond)

## MSGPACK_PP_ASSERT_D

#define MSGPACK_PP_ASSERT_D | ( |  | cond | ) | MSGPACK_PP_IIF(MSGPACK_PP_NOT(cond), MSGPACK_PP_ASSERT_ERROR, MSGPACK_PP_TUPLE_EAT_1)(...)

## MSGPACK_PP_ASSERT_ERROR

#define MSGPACK_PP_ASSERT_ERROR | ( |  | x,
|  |  | y,
|  |  | z
| ) |  |

## MSGPACK_PP_ASSERT_MSG

#define MSGPACK_PP_ASSERT_MSG | ( |  | cond,
|  |  | msg
| ) |  | MSGPACK_PP_ASSERT_MSG_D(cond, msg)

## MSGPACK_PP_ASSERT_MSG_D

#define MSGPACK_PP_ASSERT_MSG_D | ( |  | cond,
|  |  | msg
| ) |  | MSGPACK_PP_EXPR_IIF(MSGPACK_PP_NOT(cond), msg)